USE MASTER
GO

 
ALTER DATABASE $(database) SET SINGLE_USER WITH ROLLBACK IMMEDIATE;

create table #backupInformation 
(
	LogicalName nvarchar(128),
	PhysicalName nvarchar(260),
	Type varchar(1),
	FileGroupName nvarchar(128),
	Size numeric(20,0),
	MaxSize numeric(20,0), 
	FileId bigint,
	CreateLSN numeric(25,0),
	DropLSN numeric(25,0) NULL,
	UniqueId uniqueidentifier,
	ReadOnlyLSN numeric(25,0) NULL,
	ReadWriteLSN numeric(25,0) NULL,
	BackupSizeInBytes bigint,
	SourceBlockSize int,
	FileGroupId int,
	LogGroupGUID uniqueidentifier NULL,
	DifferentialBaseLSN numeric(25,0) NULL,
	DifferentialBaseGUID uniqueidentifier,
	IsReadOnly bit, 
	IsPresent bit, 
	TDEThumbprint varbinary(32)
)
 
insert into #backupInformation exec('restore filelistonly from disk = ''$(backupfile)''')
 
DECLARE @logicalNameD varchar(255);
DECLARE @logicalNameL varchar(255);
 
select top 1 @logicalNameD = LogicalName from #backupInformation where Type = 'D';
select top 1 @logicalNameL = LogicalName from #backupInformation where Type = 'L';
 
DROP TABLE #backupInformation 
 
RESTORE DATABASE $(database)
FROM DISK = '$(backupfile)'
WITH REPLACE,
MOVE @logicalNameD TO 'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\Data\$(database).mdf',
MOVE @logicalNameL TO 'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\Data\$(database).ldf'
GO